function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_bathroom2"
end

function p.__main()
    set_default_block("r_bathroom2")
    
    std.create_tube(3, "y", "e")
    std.create_center(5,"e")
    
    local msg_str = "(See the Creation Manual pdf for more details).\n\n"
        .. "You can create your own textures by modifying "
        .. "the Textures directory of this package.\n\n"
        .. "The block below has type \"test_image_block\". "
        .. "Open the file ^x00ff00WorldNodes/Nodes/test_image_block.lua^! "
        .. "and read it.  Then go to the next room. "
    add_bent_s(7,7,8,"bent_base_txt",msg_str)

    set_pos(7,7,6,"test_image_block")
end
